
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'data_shape/version'

Gem::Specification.new do |spec|
  spec.name          = 'data_shape'
  spec.version       = DataShape::VERSION
  spec.authors       = ['Eric Haynes']
  spec.email         = ['ehaynes99@gmail.com']

  spec.summary       = 'Simple definitions for data structures in ruby'
  spec.homepage      = 'https://github.com/ehaynes99/ruby_data_shape'
  spec.license       = 'MIT'

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files`.split(/\s/).reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
